﻿.index-works-box{
    width: 100%;
    display: block;
    position: relative;
    overflow: hidden;
    box-sizing: border-box;
    padding-top: 60px;
    padding-bottom: 100px;
    background-color: #023465;
}
.index-works-title-box{
    box-sizing: border-box;
    padding-left: 40px;
    position: relative;
    margin-bottom: 60px;
}
.index-works-title-box::before{
    content: '';
    width: 3px;
    height: 100%;
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    background-color: #fff;
}
.index-works-all-box{
    width: 1280px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    z-index: 1;
    font-size: 0;
}
.index-works-title{
    font-size: 28px;
    line-height: 50px;
    letter-spacing: 0.06em;
    font-family: 'Noto Sans TC';
    font-weight: 700;
    color: #fff;
    position: relative;
}
.index-works-info{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 30px;
    box-sizing: border-box;
    flex-direction: row;
}
.index-works-info-img-box{
    width: 640px;
    max-width: 100%;
    height: calc((380 / 640) * 640px);
    overflow: hidden;
    position: relative;
}
.index-works-info-text-box{
    width: 640px;
    max-width: 100%;
    position: relative;
    background-color: #00284f;
    box-sizing: border-box;
    padding: 50px 60px;
}
.index-works-info-name{
    font-family: 'Noto Sans TC';
    font-weight: 700;
    font-size: 24px;
    color: #2f89e1;
    letter-spacing: 0.06em;
    line-height: 30px;
    box-sizing: border-box;
    padding-top: 10px;
    padding-bottom: 20px;
    border-bottom: 1px solid #fff;
}
.index-works-info-style{
    font-family: 'Noto Sans TC';
    font-size: 18px;
    color: #fba804;
    letter-spacing: 0.06em;
    line-height: 30px;
    margin-top: 15px;
}
.index-works-info-text{
    font-family: 'Noto Sans TC';
    font-size: 18px;
    color: #fff;
    letter-spacing: 0.06em;
    line-height: 30px;
    overflow : hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    margin-top: 5px;
}
.index-works-info-text>span{
    display: none;
    margin-left: 5px;
    color: #ffff00;
    animation: fade .4s linear 0s infinite alternate;
}
.index-works-info-text.openStar>span{
    display: inline-block;
}
.index-works-info-line-box{
    width: 100%;
    display: block;
    overflow: hidden;
    height: 1px;
    margin-top: 30px;
}
.index-works-info:last-child .index-works-info-line-box{
    display: none;
}
.index-works-info-line-box span{
    width: 100%;
    display: block;
    border-bottom: 8px dashed #fff;
}


@media only screen and (max-width: 1280px){
    .index-works-all-box{
        width: 1200px;
    }
    .index-works-info-img-box{
        width: 600px;
        height: calc((380 / 640) * 600px);
    }
    .index-works-info-text-box{
        width: 600px;
    }
}
@media only screen and (max-width: 1200px){
    .index-works-all-box{
        width: 1000px;
    }
    .index-works-info-img-box{
        width: 500px;
        height: calc((380 / 640) * 500px);
    }
    .index-works-info-text-box{
        width: 500px;
    }
}
@media only screen and (max-width: 1000px){
    .index-works-all-box{
        width: 750px;
    }
    .index-works-info-img-box{
        width: 375px;
        height: calc((380 / 640) * 375px);
    }
    .index-works-info-text-box{
        width: 375px;
        padding: 20px 30px;
    }
    .index-works-info-name{
        padding-top: 5px;
        padding-bottom: 10px;
        font-size: 20px;
    }
    .index-works-info-style{
        font-size: 16px;
        line-height: 24px;
        margin-top: 5px;
    }
    .index-works-info-text{
        font-size: 16px;
        line-height: 26px;
        margin-top: 10px;
    }
}
@media only screen and (max-width: 768px){
    .index-works-box{
        padding-top: 40px;
        padding-bottom: 60px;
    }
    .index-works-all-box{
        width: 550px;
    }
    .index-works-title-box{
        padding-left: 0;
        margin-bottom: 40px;
    }
    .index-works-title-box::before{
        display: none;
    }
    .index-works-info{
        margin-bottom: 20px;
    }
    .index-works-info-img-box{
        width: 100%;
        display: block;
        height: calc((380 / 640) * 550px);
    }
    .index-works-info-text-box{
        width: 100%;
        display: block;
        padding: 10px 20px;
    }
    .index-works-info-line-box{
        margin-top: 20px;
    }
}
@media only screen and (max-width: 550px){
    .index-works-box{
        padding-top: 20px;
        padding-bottom: 30px;
    }
    .index-works-all-box{
        width: 95vw;
    }
    .index-works-title-box{
        padding-left: 0;
        margin-bottom: 20px;
    }
    .index-works-title-box::before{
        display: none;
    }
    .index-works-info{
        margin-bottom: 10px;
    }
    .index-works-info-img-box{
        width: 100%;
        display: block;
        height: calc((380 / 640) * 95vw);
    }
    .index-works-info-text-box{
        width: 100%;
        display: block;
        padding: 10px 10px;
    }
    .index-works-info-line-box{
        margin-top: 10px;
    }
    .index-works-info-line-box span{
        border-bottom-width: 4px;
    }
}


@media only screen and (min-width: 769px){
    .index-works-info{
        transition: all .3s linear;
    }
    .index-works-info:hover{
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    }
    .index-works-info:hover .main-bg{
        transform: scale(1.1);
    }

    .index-works-title-box,
    .index-works-title,
    .index-works-info,
    .index-works-page-box{
        opacity: 0;
    }
    .index-works-title-box.anima{
        animation: fadeInDown .6s ease 0s 1 both;
    }
    .index-works-title-box.anima .index-works-title{
        animation: fadeInRight .6s ease .2s 1 both;
    }
    .index-works-info.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .index-works-page-box.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
}